bk://cifs.bkbits.net/linux-2.5cifs
cifs.adm@hostme.bitkeeper.com|ChangeSet|20041020214726|06378 cifs.adm

# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2004/10/19 17:59:37-05:00 sfrench@smft41.(none) 
#   Merge bk://cifs.bkbits.net/linux-2.5cifs
#   into smft41.(none):/home/sfrench/linux-2.5cifs
# 
# fs/cifs/CHANGES
#   2004/10/19 17:59:29-05:00 sfrench@smft41.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/10/19 17:56:53-05:00 sfrench@smft41.(none) 
#   [CIFS] ignore guest mount option do not log warning on it
#   
#   Signed-off-by:  Steve French (sfrench@us.ibm.com)
# 
# fs/cifs/connect.c
#   2004/10/19 17:56:46-05:00 sfrench@smft41.(none) +2 -0
#   ignore guest mount option do not log warning on it
# 
# fs/cifs/cifspdu.h
#   2004/10/19 17:56:46-05:00 sfrench@smft41.(none) +2 -0
#   missing defines for a few info levels
# 
# fs/cifs/cifsfs.h
#   2004/10/19 17:56:46-05:00 sfrench@smft41.(none) +1 -1
#   Update change log for version 1.23 of cifs vfs 
# 
# fs/cifs/CHANGES
#   2004/10/19 17:56:46-05:00 sfrench@smft41.(none) +6 -0
#   Update change log for version 1.23 of cifs vfs 
# 
diff -Nru a/fs/cifs/CHANGES b/fs/cifs/CHANGES
--- a/fs/cifs/CHANGES	2004-10-21 14:17:00 -07:00
+++ b/fs/cifs/CHANGES	2004-10-21 14:17:00 -07:00
@@ -1,3 +1,9 @@
+Version 1.23
+------------
+Multiple bigendian fixes. On little endian systems (for reconnect after
+network failure) fix tcp session reconnect code so we do not try first
+to reconnect on reverse of port 445.
+
 Version 1.22
 ------------
 Add config option to enable XATTR (extended attribute) support, mapping
diff -Nru a/fs/cifs/cifsfs.h b/fs/cifs/cifsfs.h
--- a/fs/cifs/cifsfs.h	2004-10-21 14:17:00 -07:00
+++ b/fs/cifs/cifsfs.h	2004-10-21 14:17:00 -07:00
@@ -90,5 +90,5 @@
 			 size_t, int);
 extern ssize_t	cifs_getxattr(struct dentry *, const char *, void *, size_t);
 extern ssize_t	cifs_listxattr(struct dentry *, char *, size_t);
-#define CIFS_VERSION   "1.20"
+#define CIFS_VERSION   "1.23"
 #endif				/* _CIFSFS_H */
diff -Nru a/fs/cifs/cifspdu.h b/fs/cifs/cifspdu.h
--- a/fs/cifs/cifspdu.h	2004-10-21 14:17:00 -07:00
+++ b/fs/cifs/cifspdu.h	2004-10-21 14:17:00 -07:00
@@ -1351,6 +1351,8 @@
 #define SMB_QUERY_CIFS_UNIX_INFO    0x200
 #define SMB_QUERY_LABEL_INFO        0x3ea
 #define SMB_QUERY_FS_QUOTA_INFO     0x3ee
+#define SMB_QUERY_FS_FULL_SIZE_INFO 0x3ef
+#define SMB_QUERY_OBJECTID_INFO     0x3f0
 
 typedef struct smb_com_transaction2_qfsi_req {
 	struct smb_hdr hdr;	/* wct = 14+ */
diff -Nru a/fs/cifs/connect.c b/fs/cifs/connect.c
--- a/fs/cifs/connect.c	2004-10-21 14:17:00 -07:00
+++ b/fs/cifs/connect.c	2004-10-21 14:17:00 -07:00
@@ -742,6 +742,8 @@
 			/* ignore */
 		} else if (strnicmp(data, "version", 3) == 0) {
 			/* ignore */
+		} else if (strnicmp(data, "guest",5) == 0) {
+			/* ignore */
 		} else if (strnicmp(data, "rw", 2) == 0) {
 			vol->rw = TRUE;
 		} else if ((strnicmp(data, "suid", 4) == 0) ||
